Skip to main content
GET
Retrieve job roles

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
competency_requirement_specification,
optional_competency_requirement_specification
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • organisation_in: Filter job role where the organisation ID is in the provided list.
  • eq(applicable_subject_types,xxx): Filter job roles applicable to a given governance subject kind. Value is one of schemes, work-orders, operations.

For more information on using named filters, see the docs

sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
name,
-name

Response

Get a list of job roles.

JSON API response object

data
A list of job roles · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a job role is returned